public class duvar
{
//Yönler
//K Kuzey
//G Güney
//D Doğu
//B Batı
//KB Kuzeybatı
//KD Kuzeydoğu
//GB Güneybatı
//GD Güneydoğu
	
public String yon;
public int kat;
public int isletmeturu;
public double U;
public bina_malzeme bm[];
public int n;
double Ri,Re;
public double x;

public duvar(String isaret,String malzeme[],double dx[],String yoni)
{ n=malzeme.length;
  bm=new bina_malzeme[n];
  x=0;
  for(int i=0;i<n;i++)
   {bm[i]=new bina_malzeme(malzeme[i],dx[i]);x+=dx[i];}
  yon=yoni;
  Ri=0;Re=0;
 // işaret kodları
 // DD Dış duvar
 // ID iç duvar
 // DO Döşeme
 // TA Tavan
 // BDD Bitişik dış duvar
 // Yön
 // K Kuzey
 // G Güney
 // D Doğu
 // B Batı
 // KD Kuzey doğu
 // KB Kuzey batı
 // GD Güney doğu
 // GB Güney batı
 if(isaret.equals("DD")) {Ri=0.04;Re=0.13;}
 else if(isaret.equals("ID")) {Ri=0.13;Re=0.13;}
 else if(isaret.equals("DO")) {Ri=0.17;Re=0.17;}
 else if(isaret.equals("TA")) {Ri=0.13;Re=0.08;}
 else if(isaret.equals("BDD")) {Ri=0.0;Re=0.13;} 
 double R=Ri+Re;
 Double RR1=R;
 double RR=0;
 for(int i=0;i<n;i++)
 {   RR=bm[i].bmv.x/bm[i].bmv.k;
	 R+=RR;
	 }
 U=1/R;
}
public String toString()
{ String s= "Ri = "+Ri+"\n";
	for(int i=0;i<bm.length;i++)
  {s+=bm[i].toString();}
  s+="\nRe="+Re+"\n";
  s+="toplam U="+U+"W/m"+'\u00B2'+"K\n";
  s+="toplam duvar kalınlığı = "+x+"m\n";
  return s;	
}

public void setYon(String yoni){yon=yoni;}
}
